///File : buildVersionOption.hpp
//------------------------------------------------------------------------------
/*
    This file is part of DevisMaker.

    DevisMaker is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    DevisMaker is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with DevisMaker.  If not, see <http://www.gnu.org/licenses/>.
*/
//------------------------------------------------------------------------------
#include "config.hpp"
//------------------------------------------------------------------------------

#if not defined BUILD_VERSION_OPTION_HPP_DEVIS_MAKER
#define BUILD_VERSION_OPTION_HPP_DEVIS_MAKER

#if (BUILD_VERSION_PRO==1)
    #define USE_MULTIPLE_CONFIG
    #define USE_BAR_CODE_MODE
    #define USE_MULTIPLE_FILE

    #define USE_KEY_CHECK

    #define BUILD_VERSION_NAME _("Professional")
#endif

#if (BUILD_VERSION_NORMAL==1)
	#define USE_KEY_CHECK

    #define BUILD_VERSION_NAME _("Normal")
#endif

#if (BUILD_VERSION_DEMO==1)
    // Mêmes options que la version pro
    #define USE_MULTIPLE_CONFIG
    #define USE_BAR_CODE_MODE
    #define USE_MULTIPLE_FILE

    // Mais avec des limitaions...
    #define USE_SECTION_ITEM_LIMIT
    #define DEMO_MAX_SECTIONS 2
    #define DEMO_MAX_ITEMS 3

    #define USE_DEMO_TEXT_IN_PRINTOUT

    #define BUILD_VERSION_NAME _("Demo")
#endif




#endif //BUILD_VERSION_OPTION_HPP_DEVIS_MAKER
